package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: Nft054QueryUserAddressBelongToUser
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/21 15:01
 */
@Data
public class Nft054QueryUserAddressBelongToUserResp implements Serializable {
    /**
     * true 同一主体
     * false: 非同一主体
     */
    private Boolean result;

    private static final Nft054QueryUserAddressBelongToUserResp obj = new Nft054QueryUserAddressBelongToUserResp();
    public static Nft054QueryUserAddressBelongToUserResp getNew() {
        try {
            return (Nft054QueryUserAddressBelongToUserResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft054QueryUserAddressBelongToUserResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
